# -*- rpm-spec -*-
# $Id: nut,v 1.20 2003/08/09 18:35:52 lioka Exp $

# awaiting for net-snmp
%def_without snmp

%define _sbindir /sbin
%define confdir %_sysconfdir/%name
%define cgidir  /var/www/cgi-bin
%define runas upsmon

Name: nut
Version: 1.4.0
Release: alt1

Summary: Network UPS Tools
License: GPL
Group: System/Servers
Url: http://www.exploits.org/%name

Source: %url/release/%name-%version.tar.bz2
Source1: upsd.init
Source2: upsmon.init

Prereq: shadow-utils
BuildRequires: XFree86-devel freetype2-devel libgd2-devel libjpeg-devel libpng3-devel libssl-devel xpm-devel

%package server
Group: System/Servers
Summary: Network UPS Tools server
PreReq: %name = %version-%release

%package cgi
Group: System/Servers
Summary: CGI utilities for the Network UPS Tools
Requires: webserver

%package devel
Group: Development/C
Summary: Header files and C programming manuals for %name

%description
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes the client utilities that are required to monitor a
UPS that the client host is powered from - either connected directly via
a serial port (in which case the %name-server package needs to be installed on
this machine) or across the network (where another host on the network
monitors the UPS via serial cable and runs the upsd from %name-server package
to allow clients to see the information).

%description server
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package is the main NUT upsd daemon and the associated per-UPS-model
drivers which talk to the UPSes.  You also need to install the %name
package.

%description cgi
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes CGI programs for accessing UPS status via a web
browser and can be installed on a separate machine to the rest of the
%name packages.

%description devel
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
serial ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes header files and C programming manuals for %name.

%prep
%setup -q

%build
%configure \
	--sysconfdir=%confdir \
	--with-ssl --with-cgi --with-cgipath=%cgidir \
	--with-linux-hiddev=%_libdir/kernel/include/linux/hiddev.h \
	--with-drvpath=%_sbindir \
	--with-statepath=%_localstatedir/%name \
	--with-user=%runas --with-group=%runas
%make_build

%install
%make_install DESTDIR=%buildroot install install-cgi install-misc
ar cr %buildroot%_libdir/libupsclient.a %buildroot%_libdir/*.o
%__install -p -m0755 -D %SOURCE1 %buildroot%_initdir/upsd
%__install -p -m0755 -D %SOURCE2 %buildroot%_initdir/upsmon
%__mkdir_p %buildroot%_localstatedir/%name
find %buildroot%confdir -type f -name \*.sample |\
	sed 's|\.sample$||'|xargs -iz mv -f z.sample z

%pre
/usr/sbin/groupadd -r -f %runas &>/dev/null
/usr/sbin/useradd -r -g %runas -G uucp -d %_localstatedir/%name -s /dev/null \
	-c "NUT monitoring daemon" -M -n %runas &>/dev/null ||:
%post
%post_service upsmon

%preun
%preun_service upsmon

%post server
%post_service upsd

%preun server
%preun_service upsd

%files 
%doc [A-Z][A-Z]* docs/FAQ docs/*.txt
%config(noreplace) %attr(640,root,%runas) %confdir/upsmon.conf
%config(noreplace) %attr(640,root,%runas) %confdir/upssched.conf
%_initdir/upsmon
%_sbindir/upsmon
%_sbindir/upssched
%_bindir/upsc
%_bindir/upscmd
%_bindir/upslog
%_bindir/upsrw

%_man5dir/upsmon.conf.5.*
%_man5dir/upssched.conf.5.*

%_man8dir/upsc.8.*
%_man8dir/upscmd.8.*
%_man8dir/upslog.8.*
%_man8dir/upsrw.8.*
%_man8dir/upsmon.8.*
%_man8dir/upssched.8.*

%files server
%doc [A-Z][A-Z]* docs/cables docs/*driver*
%config(noreplace) %confdir/ups.conf
%config(noreplace) %attr(640,root,%runas) %confdir/upsd.conf
%config(noreplace) %attr(640,root,%runas) %confdir/upsd.users
%_initdir/upsd

%exclude %_sbindir/upsmon
%exclude %_sbindir/upssched
%_sbindir/*

%dir %attr(2770,root,%runas) %_localstatedir/%name

%_man5dir/ups.conf.5.*
%_man5dir/upsd.conf.5.*
%_man5dir/upsd.users.5.*

%exclude %_man8dir/upsc.8.*
%exclude %_man8dir/upscmd.8.*
%exclude %_man8dir/upslog.8.*
%exclude %_man8dir/upsrw.8.*
%exclude %_man8dir/upsmon.8.*
%exclude %_man8dir/upssched.8.*
%{!?_with_snmp:%exclude %_man8dir/snmp-ups.8.*}
%exclude %_man8dir/upsimage.cgi.8.*
%exclude %_man8dir/upsset.cgi.8.*
%exclude %_man8dir/upsstats.cgi.8.*
%_man8dir/*

%files cgi
%config(noreplace) %confdir/hosts.conf
%config(noreplace) %confdir/upsset.conf
%config(noreplace) %confdir/upsstats.html
%config(noreplace) %confdir/upsstats-single.html

%cgidir/upsimage.cgi
%cgidir/upsset.cgi
%cgidir/upsstats.cgi

%_man5dir/hosts.conf.5.*
%_man5dir/upsset.conf.5.*
%_man5dir/upsstats.html.5.*

%_man8dir/upsimage.cgi.8.*
%_man8dir/upsset.cgi.8.*
%_man8dir/upsstats.cgi.8.*

%files devel
%_includedir/upsclient.h
%_libdir/libupsclient.a
%_man3dir/*

%changelog
* Sat Aug  9 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.4.0-alt1
- 1.4.0
- drivers relocated to /sbin
- initscripts migrated to startup

* Thu Apr 24 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2.2-alt1
- 1.2.2

* Sat Mar 15 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2.1-alt1
- 1.2.1

* Wed Jan 29 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.0.0-alt2
- initscripts fixed a bit

* Sat Sep 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0.0-alt1
- 1.0.0

* Mon Jul 22 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.5.0-alt1
- first build for ALT Linux distribution

